/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLElement_H___INT_
#define __GdomHTMLElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomElement.h"
#include "GDOMObject.h"
#include "HTMLElement.h"
G_BEGIN_DECLS
class GDOMHTMLElement : public GDOMElement {
    typedef GDOMElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_ELEMENT; }
    GDOMHTMLElement(PassRefPtr<WebCore::HTMLElement> impl);
    WebCore::HTMLElement* impl() const
    {
        return static_cast<WebCore::HTMLElement*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomHTMLElement_H___INT_*/
